#include "webserver.h"
#include <atomic>

WebServer webServer(Serial1, Serial);
int trigPin = 10;
int echoPin = 11;
long duration, inches;

void setup() {
  Serial1.setTX(12);
  Serial1.setRX(13);
  Serial1.begin(115200);
  Serial.begin(115200);
  delay(2000);

  pinMode(echoPin, INPUT);
  pinMode(trigPin, OUTPUT);
  pinMode(14, OUTPUT);
  pinMode(15, OUTPUT);
  pinMode(16, OUTPUT);
  pinMode(17, OUTPUT);

  webServer.setup("tmk2", "tk666666");

  String localIP = webServer.getLocalIP();
  if (localIP.length() > 0) {
    Serial.println("Web server IP: " + localIP);
  } else {
    Serial.println("Could not retrieve the web server IP.");
  }
}

void handleCommand(const unsigned char& mode){
  switch(mode){
    case 0:
      Serial.println("front");
    break;
    case 1:
      Serial.println("front");
    break;
    case 2:
      Serial.println("front");
    break;
    case 3:
      Serial.println("front");
    break;
  }
}

void loop() {
  webServer.handleClient();
  webServer.handleSerialCommands();
  /*digitalWrite(trigPin, LOW);
  delayMicroseconds(5);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  
  duration = pulseIn(echoPin, HIGH);
 
  cm = (duration/2) / 29.1;     // Divide by 29.1 or multiply by 0.0343
  inches = (duration/2) / 74;   // Divide by 74 or multiply by 0.0135
  
  /*Serial.print(inches);
  Serial.print("in, ");
  Serial.print(cm);
  Serial.print("cm");
  Serial.println();*/
/*
  analogWrite(14, (cm < 100 ? 1000/(cm/10) : LOW));
  analogWrite(15, (cm < 100 ? 1000/(cm/10) : LOW));
  analogWrite(16, (cm < 100 ? LOW : HIGH));
  analogWrite(17, (cm < 100 ? LOW : HIGH));

  delay(250);*/

}